// @import "../../.././common/css/common";
@import '../../common/css/common';

.cmp-container--productList {
    padding: 56px 16px;

    .cmp-container {
        .cmp-tabs--productList {
            .cmp-tabs {
                .cmp-tabs__tablist {
                    .cmp-tabs__tab {
                        padding-left: unset;
                        padding-right: unset;
                        margin-right: 32px;
                        color: #8B8B8B;
                        text-align: center;
                        font-size: 18px;
                        font-weight: 500;
                        line-height: 32px;

                        @include mobile {
                            font-size: 16px;
                            margin-right: 24px;
                        }
                    }

                    .cmp-tabs__tab--active {
                        color: #000;
                        font-size: 18px;
                        font-weight: 500;
                        line-height: 32px;

                        @include mobile {
                            font-size: 16px;
                        }
                    }
                }

                .cmp-tabs__tabpanel {
                    margin-top: 32px;

                    .container {
                        .cmp-container {
                            .aem-Grid {

                                &::before {
                                    display: none;
                                }

                                .extendedlist {
                                    .cmp-list {
                                        display: flex;
                                        justify-content: center;
                                        gap: 16px;
                                        flex-wrap: wrap;
                                        // margin: 0 auto;
                                        // width: 1200px;

                                        .cmp-list__item {
                                            border-radius: 9px;
                                            background: #F6F6F6;
                                            padding: 24px 16px;
                                            display: flex;
                                            flex-direction: column-reverse;
                                            justify-content: center;
                                            align-items: center;
                                            width: 268px;

                                            .cmp-list__content {
                                                text-align: center;

                                                .cmp-list__desc {
                                                    height: 80px;
                                                    padding: 16px 0px;
                                                    color: #000;
                                                    text-align: center;
                                                    font-size: 15px;
                                                    font-weight: 500;
                                                    line-height: 24px;
                                                }

                                                .cmp-list__price {
                                                    color: #000;
                                                    text-align: center;
                                                    font-size: 24px;
                                                    font-style: normal;
                                                    font-weight: 600;
                                                    line-height: 24px;
                                                    letter-spacing: 0.72px;
                                                }

                                                .cmp-list__action-container {
                                                    margin-top: 16px;
                                                    border-radius: 8px;
                                                    background: #000;

                                                    .cmp-teaser__action-list {
                                                        display: inline-block;
                                                        padding: 12px 64px;
                                                        color: #fff;
                                                        text-align: center;
                                                        font-size: 14px;
                                                        font-weight: 500;
                                                        line-height: 24px;
                                                    }
                                                }
                                            }
                                        }

                                        .cmp-list__image {
                                            .cmp-image {
                                                .cmp-image__image {
                                                    width: 160px;
                                                    height: 160px;
                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}